package nemi;

import cytoscape.CyNetwork;
import giny.model.Node;

/**
 * Created by IntelliJ IDEA.
 * User: kristost
 * Date: 30.mai.2006
 * Time: 12:21:40
 * Class mapping nodes to a single network. Used by comparers when the node's similarities depend on
 * the networks.
 */
public class NetNode {
    public CyNetwork net;
    public Node node;

    public NetNode(CyNetwork net, Node node) {
        this.net = net;
        this.node = node;
    }
    public int hashCode(){
        return net.hashCode() + node.hashCode();
    }
    public boolean equals(Object o){
        if (o instanceof NetNode) {
            NetNode netNode = (NetNode) o;
            return net.equals(netNode.net) && node.equals(netNode.node);
        }
        return false;
    }

}
