package nemi.cytoscape;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Created by IntelliJ IDEA.
 * User: kristost
 * Date: 09.feb.2006
 * Time: 15:36:06
 *
 * Displays a standard error frame. 
 */
public class ErrorFrame extends JFrame implements ActionListener {
    public ErrorFrame(String header, String message) {
        super(header);
        try {
            jbInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        textArea.setEditable(false);
        textArea.setText(message);
        this.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
        setSize(400, 300);
        setVisible(true);
    }

    private void jbInit() throws Exception {
        this.getContentPane().setLayout(borderLayout1);
        okButton.setText("OK");
        okButton.addActionListener(this);
        textArea.setBackground(Color.lightGray);
        this.getContentPane().add(textArea, java.awt.BorderLayout.CENTER);
        this.getContentPane().add(okButton, java.awt.BorderLayout.SOUTH);
    }

    JButton okButton = new JButton();
    JTextArea textArea = new JTextArea();
    BorderLayout borderLayout1 = new BorderLayout();

    public void actionPerformed(ActionEvent e) {
        this.dispose();
    }
}
