package nemi.gui;

import nemi.cluster.QualityAssesser;

import javax.swing.*;
import java.awt.*;
import java.util.Enumeration;

/**
 * 
 */
public class ClusterNodeDistancePanel extends JPanel {
    ButtonGroup group;

    public ClusterNodeDistancePanel() {
        super();
        initComponents();

    }

    static String minText = "Min";
    static String maxText = "Max";
    static String avgText = "Average";

    private void initComponents() {
        this.setLayout(new GridBagLayout());
        group = new ButtonGroup();

        JRadioButton b1 = new JRadioButton(minText, true);
        JRadioButton b2 = new JRadioButton(maxText, false);
        JRadioButton b3 = new JRadioButton(avgText, false);
        group.add(b1);
        group.add(b2);
        group.add(b3);
        GridBagConstraints g = new GridBagConstraints();
        g.gridx = 0;
        g.gridy = 0;
        this.add(b1, g);
        g = new GridBagConstraints();
        g.gridx = 1;
        g.gridy = 0;
        this.add(b2, g);
        g = new GridBagConstraints();
        g.gridx = 2;
        g.gridy = 0;

        this.add(b3, g);

    }

    public QualityAssesser.CompareClusterNodeType getClusterNodeDistanceType() {
        Enumeration<AbstractButton> buttons = group.getElements();
        while (buttons.hasMoreElements()) {
            AbstractButton abstractButton = buttons.nextElement();
            if (abstractButton.isSelected()) {
                String s = abstractButton.getText();
                if (s.equals(avgText)) {
                    System.out.println("Average compare type");
                    return QualityAssesser.CompareClusterNodeType.AVG_REP;
                } else if (s.equals(maxText)) {
                    System.out.println("Max compare type");
                    return QualityAssesser.CompareClusterNodeType.MAX_REP;
                }

            }
        }
        System.out.println("Min compare type");
        return QualityAssesser.CompareClusterNodeType.MIN_REP;
    }
}