package test;

import nemi.gui.GraphPlotPanel;

import javax.swing.*;
import java.awt.*;

/**
 * NeMi - Neighborhood GSpanMining
 * Distributed AS-IS - No Warranty
 * $Id: Graphicstest.java 310 2006-05-19 08:44:04Z sundsdal $
 */
public class Graphicstest extends JFrame {
    public Graphicstest() {
        super("en test");
        double[] xvalues = {0.0  , 0.2, 0.3,   3, 5, 9,10};
        double[] yvalues = {2000,  5000,   3000,   200, 1900, 7000, 20};
        GraphPlotPanel st = new GraphPlotPanel(
                xvalues, yvalues, "xlabel", "ylabelsniker du ");
        this.add(st);
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE

        );
    }
/*
 * 1.2 version.
 */

/*
* This is like the FontDemo applet in volume 1, except that it
* uses the Java 2D APIs to define and render the graphics and text.
*/

    final static int maxCharHeight = 15;
    final static int minFontSize = 6;

    final static Color bg = Color.white;
    final static Color fg = Color.black;
    final static Color red = Color.red;
    final static Color white = Color.white;

    final static BasicStroke stroke = new BasicStroke(2.0f);
    final static BasicStroke wideStroke = new BasicStroke(8.0f);

    final static float dash1[] = {10.0f};
    final static BasicStroke dashed = new BasicStroke(1.0f,
            BasicStroke.CAP_BUTT,
            BasicStroke.JOIN_MITER,
            10.0f, dash1, 0.0f);
    Dimension totalSize;
    FontMetrics fontMetrics;


    FontMetrics pickFont(Graphics2D g2,
                         String longString,
                         int xSpace) {
        boolean fontFits = false;
        Font font = g2.getFont();
        FontMetrics fontMetrics = g2.getFontMetrics();
        int size = font.getSize();
        String name = font.getName();
        int style = font.getStyle();

        while (!fontFits) {
            if ((fontMetrics.getHeight() <= maxCharHeight)
                    && (fontMetrics.stringWidth(longString) <= xSpace)) {
                fontFits = true;
            } else {
                if (size <= minFontSize) {
                    fontFits = true;
                } else {
                    g2.setFont(font = new Font(name,
                            style,
                            --size));
                    fontMetrics = g2.getFontMetrics();
                }
            }
        }

        return fontMetrics;
    }

    public static void main(String s[]) {

        JFrame applet = new Graphicstest();

        applet.setSize(new Dimension(550, 500));
        applet.setVisible(true);
    }



}
