package nemi.gui;

import javax.swing.*;

/**
 * Created by IntelliJ IDEA.
 * User: kristost
 * Date: 03.mai.2006
 * Time: 15:38:09
 * General scrollpane for displaying text. Used for printing more detailed result info. 
 */
public class MessagePane extends JScrollPane {
    JScrollPane scrollPane;
    JTextArea textArea;

    public MessagePane() {
        super();

        textArea = new JTextArea();
        textArea.setEditable(false);
        this.setViewportView(textArea);
    }

    public void print(String s) {
        textArea.append(s);
        textArea.selectAll();
        textArea.setCaretPosition(textArea.getDocument().getLength());
    }

    public static void main(String[] args) {
        JFrame.setDefaultLookAndFeelDecorated(false);
        MessagePane m = new MessagePane();
        JFrame frame = new JFrame("TextDemo");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        m.setOpaque(true); //content panes must be opaque
        frame.setContentPane(m);

        frame.pack();
        frame.setVisible(true);

        m.print("hei\n");
        m.print("hei");
    }
}
